# Contributing to Book Dash

Thank you for your interest in contributing to Book Dash!

## Contributing a fix or feature
Generally, contributions are managed by issues and pull requests.

1. Submit an [issue](https://github.com/bookdash/bookdash-android-app/issues) describing your proposed fix or feature.
2. If your proposed fix or feature is accepted then, fork, implement your code change.
3. Ensure your code change follows the [accepted code style and structure](#code-style-and-structure).
4. Ensure your code is properly tested.
5. Ensure your commits follow the accepted [commit message style](#git-commit-messages)
6. Submit a pull request.

## Code style and structure
The coding style must conform with [AOSP code style for contributors](https://source.android.com/source/code-style.html).

## Git commit messages
[Udacity's Git commit message style guide](https://udacity.github.io/git-styleguide/) is adopted for this project and that is expected of your contribution.
Please make sure to include the issue number into commit messages.